Delete an AI Index

Server: https://{kibana_url}
  • DELETE /api/context_engine/ai_index/{aiIndexId}
  • DELETE /s/{space_id}/api/context_engine/ai_index/{aiIndexId}

Refer to Spaces for more information.

Deletes an AI Index by ID.

By default, the API preserves the backing data stream or index, its Knowledge Indicators, and attached workflow automations. Set delete_knowledge_indicators to true to delete the backing data stream or index and its Knowledge Indicators. Set delete_automations to true to delete the attached workflow automations.

The API does not delete the backing data stream or index when another AI Index uses the same destination.

Returns a 404 response when Context Engine is turned off in this space (contextEngine:enabled).

For more information, refer to the Context Engine documentation.

[Required authorization] Route required privileges: contextEngine:write. Extended privileges (optional, expand functionality when granted): workflowsManagement:delete.

Path Parameters

aiIndexId string · min: 1 · max: 256 required

The unique identifier of the AI Index.

Responses